Update saved basket
Rename a saved basket and/or replace its legs
x-api-key<token>
In: header
Path Parameters
id*string
Saved basket ID
Format
uuidHeader Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Rename a saved basket and/or replace its legs
Response Body
application/json
curl -X PATCH "https://example.com/saved-baskets/3fa85f64-5717-4562-b3fc-2c963f66afa6" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6" \ -H "Content-Type: application/json" \ -d '{}'{ "basket": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "string", "legs": [ { "symbol": "BTC", "side": "BUY", "weight": 1 } ], "createdAt": "string", "updatedAt": "string" }}